# Class CircuitBreakerTelemetryPushClient

java.lang.Object
com.databricks.jdbc.telemetry.CircuitBreakerTelemetryPushClient

public class CircuitBreakerTelemetryPushClient extends Object
TelemetryClient wrapper that implements circuit breaker pattern using Resilience4j. This wrapper handles server unavailability and resource exhausted errors by temporarily stopping telemetry requests when the service is experiencing issues.

## Method Summary

Modifier and Type
Method
Description
`void`
`pushEvent(TelemetryRequest request)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### pushEvent

public void pushEvent(TelemetryRequest request)